# About
This project aims to provide a easy way to mirror your printable projects into [Taiga](https://taiga.io) for you to easily manage and track the progress of several ideas.
It creates a new User Story for each printable project and attaches the first photo of it to provide a nice preview in the Kanban board.
In addition it creates a new "Task" for each stl-file and attaches the stl-file to it.

# Prerequisites
1. Setup your new project on your Taiga instance
2. Create a user for the importer with a very strong password
3. *Optional*: Create a "User Story Custom Field" in your project settings to preserve a backlink to the originally imported model 

# Setup
1. Clone this project
2. Create a virtual environment with e.g. `virtualenv venv` and activate it
3. Install requirements with `pip install -r requirements.txt`
4. Adjust `config.ini` to your needs
5. Run `python importer.py` and provide a link when you get asked for it

# Contents of config.ini
## Section "taiga"
### url
Baseurl used to make api requests to your taiga instance. Should use https if you make requests to an instance hosted in the internet.
### username (String)
The username for your import user to login into taiga.
### password (String)
The password for your import user to login into taiga.
### project_slug (String)
The project into which new items are imported. If you open your project overview you should have a similar URL in your browsers url bar: `https://taiga.example.com/project/3d-printing/timeline` - `3d-printing` is the slug here.
### userstory_use_custom_field (Bool)
Define if the custom field should be used to preserve backlinks of imported print projects.
### userstory_custom_field_name (String)
The "custom user story field"-name to use - I use "Platform link" in my projects.
### initial_task_status (String)
Status which new tasks are assigned to. It usually makes sense to set them to "New" but depends on your taiga project configuration.